.page[name='blackHole'] > .header {
    position: absolute;
    top: 0;
    z-index: 1;
    height: 64px;
}
.page[name='blackHole'] > .header > .side > .button {
    padding: 20px;
}
.page[name='blackHole'] > .header > .side > .button > img {
    display: block;
    width: 24px;
    height: 24px;
}
.page[name='blackHole'] > .header > .side:last-child > .button:not(.active) > .new {
    display: none;
}
.page[name='blackHole'] > .header > .side:last-child > .button > .new {
    position: absolute;
    width: 7px;
    height: 7px;
    top: 6px;
    border-radius: 50%;
}
.page[name='blackHole'] > .header > .side:last-child > .button:not(.active) > .new {
    display: none;
}
.page[name='blackHole'] > .header > .center {
    display: table;
    width: calc(100% - 192px);
    height: 64px;
    text-align: center;
}
.page[name='blackHole'] > .header > .center > div {
    display: table-cell;
    font-size: 18px;
    font-weight: 600;
    vertical-align: middle;
}
.page[name='blackHole'] > .content {
    position: absolute;
    top: 64px;
    bottom: 0;
    overflow-y: auto;
    padding: 20px;
}
.page[name='blackHole'] > .content > .buttons {
    overflow: hidden;
    margin-bottom: 15px;
}
.page[name='blackHole'] > .content > .buttons > .button {
    padding: 8px 12px;
    border-radius: 8px;
    text-align: center;
    width: fit-content;
    font-weight: bold;
}
.page[name='blackHole'] > .content > .buttons > .zoom > .button {
    padding: 8px 12px;
    border-radius: 8px;
    text-align: center;
    width: fit-content;
    font-weight: bold;
    display: inline-block;
}
.page[name='blackHole'] > .content > .wait {
    margin-bottom: 20px;
}
.page[name='blackHole'] > .content:not(.ready) > .wait {
    font-weight: bold;
    text-align: center;
}
.page[name='blackHole'] > .content.ready > .wait {
    display: none;
}
.page[name='blackHole'] > .content > .wrapper {
    overflow: auto;
    margin-right: -20px;
    margin-bottom: -20px;
    margin-left: -20px;
}
.page[name='blackHole'] > .content > .wrapper > svg {
    margin-right: auto;
    margin-left: auto;
    display: block;
}

#panel[ids='contextMenu'] {
    width: 40%;
    padding: 16px;
}
#panel[ids='contextMenu'].right {
    left: auto;
}
#panel[ids='contextMenu'].left {
    right: auto;
}
#panel[ids='contextMenu'] > .content > .title {
    font-weight: bold;
    margin-bottom: 16px;
    font-size: 16px;
}
#panel[ids='contextMenu'] > .content > .section:not(:last-child) {
    margin-bottom: 8px;
}
#panel[ids='contextMenu'] > .content > .section > .title {
    font-weight: bold;
    margin-bottom: 3px;
}
#panel[ids='contextMenu'] > .content > .section > .body {
    word-break: break-all;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable {
    margin-top: 8px;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table {
    border-spacing: 0;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > thead > tr > th,
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > tbody > tr > td {
    padding: 12px 8px;
    text-align: center;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > thead > tr > th:first-child {
    border-bottom-left-radius: 12px;
    border-top-left-radius: 12px;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > thead > tr > th:last-child {
    border-bottom-right-radius: 12px;
    border-top-right-radius: 12px;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > thead > tr > th > .sort {
    background-size: 10px;
    margin-right: auto;
    margin-left: auto;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .content > table > tbody > tr > .operations > .button {
    padding: 4px 8px;
    border-radius: 5px;
    text-align: center;
    width: fit-content;
    font-weight: bold;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='contextMenu'] > .content > .section > .body > .fTable > .footer {
    text-align: center;
    margin-top: 16px;
    margin-bottom: 16px;
}
#panel[ids='filter'] > .content {
    padding: 24px 10px 10px;
    text-align: center;
}
#panel[ids='filter'] > .content > .formWrapper {
    margin-bottom: 16px;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field {
    padding: 16px 24px;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > label {
    width: 35%;
    font-weight: 600;
    margin-top: 10px;
    display: inline-block;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > input,
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > textarea {
    width: calc(65% - 8px);
    border-radius: 16px;
    padding: 16px;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > .inputWrapper {
    width: calc(65% - 8px); 
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > .inputWrapper > input {
    border-radius: 16px;
    padding: 16px;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > img {
    position: absolute;
    top: 26px;
    width: 18px;
    height: 18px;
}
#panel[ids='filter'] > .content > .formWrapper > .fForm > .fields > .field > textarea {
    border: 0;
    height: 90px;
}
#panel[ids='filter'] > .content > .button {
    border-radius: 16px;
    display: inline-block;
    padding: 16px 128px;
}